<?php

declare(strict_types=1);

namespace App\Service\Utils\Parser;

/**
 * Interface d'un service de parsing de fichiers.
 */
interface ParserInterface
{
    /**
     * Parse une chaine de caractères au format donné.
     */
    public function parse(string $content): mixed;

    /**
     * Parse le contenu d'un fichier au format donné.
     */
    public function parseFile(string $path): mixed;
}
